/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-03-04 14:29:11
 * @LastEditTime: 2024-10-21 10:08:19
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description: 页面框架
 */
import React from 'react';
import PropTypes from 'prop-types';
import PageHead from './PageHead';
import './index.less';
import * as $$ from '../../utils/utility';
import RegisterChooseModal from '../RegisterChooseModal';

const Page = ({ children, pageHead, registerChooseModalVisible }) => {
  if (!$$.getSessionStorage('customerSystemToken')) {
    console.log('token不存在');
    $$.catchApiError({ content: '抱歉！登录状态已失效请重新登录', loginStatus: 'lose' });
    return null;
  }

  return (
    <>
      {!!pageHead && <PageHead {...pageHead} />}
      {children}
      {/* 纠纷登录入口modal */}
      {!!registerChooseModalVisible && <RegisterChooseModal visible={registerChooseModalVisible} />}
    </>
  );
};

Page.propTypes = {
  pageHead: PropTypes.any,
  registerChooseModalVisible: PropTypes.any,
};

export default Page;
